# Directree

**Directree** is a command-line tool for generating a customizable directory tree of your projects while ignoring unimportant files and folders. It is designed to help developers visualize their project structures in a clean and organized manner.

## Features

- **Customizable Ignoring**: Specify project types (frontend, backend, machine learning) to automatically ignore common unimportant files and folders.
- **User Input**: Allows users to specify additional files and folders to ignore, tailoring the output to their specific needs.
- **Recursive Directory Traversal**: Generates a tree structure that reflects the actual organization of files and directories.
- **Cross-Platform Compatibility**: Works seamlessly on Windows, macOS, and Linux.

## Installation

To install Directree, you can use pip:

```bash
pip install directree
```

## Usage
Once installed, you can run the tool directly from your command line:


## Step-by-Step Instructions:
- **Project Type**: Specify the type of your project (e.g., frontend, backend, ml, or skip).
- **Additional Folders**: Optionally, provide a list of additional folders to ignore, separated by commas.
- **Additional Files**: Optionally, provide a list of additional files to ignore, separated by commas.
- **Root Directory**: Enter the path of the root directory for which you want to generate the tree. Press enter to use the current directory.

## Example Output
Here's an example of how Directree generates a directory tree:

![](https://github.com/Tushar-T101/directree/blob/main/image1.png)

## Customizing Ignore Patterns
You can customize the files and folders that are ignored based on your project type and specific needs. For example, if your project is a frontend web application, you might want to ignore folders like node_modules, .firebase, and specific files like package-lock.json.

## Acknowledgements
Setuptools - For packaging the project

Twine - For uploading the package to PyPI

Python - The programming language used to create Directree